<?php
/*
EditorTools文章采集发布助手
----------------------------------
文件名
ETCHK.php
wordpress2.2.3  文章检查文件，请复制在wp-admin目录使用，为保密，请自行修改文件名

主要参数
post_title		主题标题

如果需要进行用户名、密码校验，请自行填加相关代码。

ET发布配置-文章检查网址处，可以如下填写
http://您的网址/wp-admin/ETchk.php?post_title=<%title%>

*/
if ( defined('ABSPATH') )
	require_once( ABSPATH . 'wp-config.php');
else
    require_once('../wp-config.php');
	
if ( get_option('db_version') != $wp_db_version )
	wp_die(sprintf(__("Your database is out-of-date.  Please <a href='%s'>upgrade</a>."), get_option('siteurl') . '/wp-admin/upgrade.php'));
	
$post_title = $_REQUEST['post_title'];
if (empty($post_title)){
echo('0');	
exit;	
}
if (get_magic_quotes_gpc()) {
	$post_title = addslashes($post_title);
	}else{
	$post_title= mysql_real_escape_string($post_title);
	}

if ( !$datas = $wpdb->get_row("SELECT * FROM $wpdb->posts WHERE post_title = '$post_title'") ){
	echo('0');	
	}
else{
	echo('1');	
	}
exit;

?>